summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Felix Pfeifer2010-08-14 21:54:20 +0200
committer dsomero2010-08-14 21:54:20 +0200
commit1e7d9434d1850fa700806d198df02ebad3c457d7 (patch)
treedd5a385aaddd4b2fd771fec3cae7dbae36513ba1
parentdc82251f63fc1dcd9e85fc179afe5e6a3c4a78aa (diff)
downloadslackbuilds-1e7d9434d1850fa700806d198df02ebad3c457d7.tar.gz
system/launchpadd: Added (novation launchpad midi driver)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/launchpadd/README10
-rw-r--r--system/launchpadd/launchpadd.SlackBuild88
-rw-r--r--system/launchpadd/launchpadd.info10
-rw-r--r--system/launchpadd/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/system/launchpadd/README b/system/launchpadd/README
new file mode 100644
index 0000000000..dcf12f6d37
--- /dev/null
+++ b/system/launchpadd/README
@@ -0,0 +1,10 @@
+A novation launchpad midi driver.
+
+It is not a driver in the common sense, but a user space usb
+application which offers a midi out and in to write and receive
+launchpad midi messages.
+
+During installation this will set the group to plugdev for all
+devices in /dev/bus/usb and mode to 664. In order to run the
+application you need to be in the plugdev group. After installing
+udev needs to be restarted in order to run the programm.
diff --git a/system/launchpadd/launchpadd.SlackBuild b/system/launchpadd/launchpadd.SlackBuild
new file mode 100644
index 0000000000..c9c12aff1d
--- /dev/null
+++ b/system/launchpadd/launchpadd.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for launchpadd
+
+# Written by Felix Pfeifer
+# contact: pfeifer[dot]felix[at]googlemail[dot]com
+
+PRGNAM=launchpadd
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvfj $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/lib/udev/rules.d
+echo 'SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GROUP="plugdev", MODE:="0664"' \
+> $PKG/lib/udev/rules.d/10-usbplug.rules
+
+# Strip binaries and libraries - this can be done with 'make install-strip'
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Also, include the SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/launchpadd/launchpadd.info b/system/launchpadd/launchpadd.info
new file mode 100644
index 0000000000..3f3abde286
--- /dev/null
+++ b/system/launchpadd/launchpadd.info
@@ -0,0 +1,10 @@
+PRGNAM="launchpadd"
+VERSION="0.1"
+HOMEPAGE="http://old.nabble.com/Novation-launchpad-midi-driver-td28410492.html"
+DOWNLOAD="http://krampenschiesser.de/launchpadd-0.1.tar.bz2"
+MD5SUM="70cbfc0b8a9682f949f946e60ca8102e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Felix Pfeifer"
+EMAIL="pfeifer[dot]felix[at]googlemail[dot]com"
+APPROVED="dsomero"
diff --git a/system/launchpadd/slack-desc b/system/launchpadd/slack-desc
new file mode 100644
index 0000000000..afbbfba678
--- /dev/null
+++ b/system/launchpadd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+launchpadd: launchpadd (novation launchpad midi driver)
+launchpadd:
+launchpadd: It is not a driver in the common sense, but a user space usb
+launchpadd: application which offers a midi out and in to write and receive
+launchpadd: launchpad midi messages.
+launchpadd:
+launchpadd: During installation this will set the group to plugdev for all
+launchpadd: devices in /dev/bus/usb and mode to 664. In order to run the
+launchpadd: application you need to be in the plugdev group. After installing
+launchpadd: udev needs to be restarted in order to run the programm.
+launchpadd: